View Issue Details

IDProjectCategoryView StatusLast Update
17128Bug reportsMenu systempublic2021-03-08 19:38
ReporterDenisChenu Assigned Toc_schmitz  
PrioritynoneSeverityminor 
Status closedResolutionunable to reproduce 
Product Version4.4.7 
Fixed in Version4.4.12 
Summary17128: Outdated menu follow to 404 : demo.limesurvey.org
DescriptionSeems menu are not updated on the good way or broken when install
Steps To ReproduceLog in on demo.limesurvey.org and create a new survey : https://demo.limesurvey.org/index.php?r=surveyAdministration/newSurvey

Click on each menu at top (i stop to Presentation)
Additional InformationNot the single time i see this issue reported, unsure when upgrade or install ?
Nee to be reviewed in my opinion :
**Force to reset can broke User menu** then it's not the solution
TagsNo tags attached.
Complete LimeSurvey version number (& build) 4.4.9 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 17125 closedc_schmitz File manager not even found (404) 
related to 17146 closedc_schmitz In the Survey Menu the item "Resources" crashes 

Activities

DenisChenu

DenisChenu

2021-02-24 19:34

developer  

404 Not Found.html (8,317 bytes)   


<!DOCTYPE html>
<html lang="en" dir="ltr" class="en dir-ltr  no-js " >

    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/6e8de3c2/jquery-ui.structure.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/58c80910/css/font-awesome.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9096579d/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9096579d/yiistrap.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/992c7b3/css/bootstrap-switch.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9bb6c098/css/select2.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9bb6c098/css/select2-bootstrap.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/94ac5f7e/css/bootstrap-datetimepicker.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/roboto.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/icomoon.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/6b48a64b/build/lstutorial.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/8506fded/build/adminbasics.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/75f89e/build.min/css/adminsidepanel.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/ebf3ff2d/css/lime-admin-colors.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/ebf3ff2d/css/statistics.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/noto.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5bf4d1d1/survey.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/44379cf2/build/embeddables.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/178a74d6/template-core.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/178a74d6/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/53d2a17d/css/ajaxify.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/53d2a17d/css/errors.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/animate.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/variations/sea_green.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/theme.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/custom.css" />
<script type='text/javascript'>window.debugState = {frontend : (0 === 1), backend : (0 === 1)};</script><script type="text/javascript" src="/tmp/assets/8bff78c2/jquery-3.5.1.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/8bff78c2/jquery-migrate-3.3.0.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6e8de3c2/jquery-ui.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75f89e/build.min/js/adminsidepanel.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/e13eb346/js.cookie.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9096579d/bootstrap.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9096579d/plugins/bootstrapconfirm/bootstrapconfirm.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75b90802/moment-with-locales.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9bb6c098/js/select2.full.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/232b2606/build/lslog.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f4fd9155/min/pjax.combined.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6b4577/ckeditor.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6b4577/config.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/14f4df53/ckeditoradditions.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9af049d1/em_javascript.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f4fd9155/pjax.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/5bf4d1d1/survey.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/178a74d6/template-core.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/theme.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/ajaxify.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/custom.js" class="headScriptTag"></script>
<script type="text/javascript">
/*<![CDATA[*/

           window.LS = window.LS || {}; window.LS.globalUserId = "1";
/*]]>*/
</script>
<title>
                            404: Not Found
                    </title>

                <meta name="generator" content="LimeSurvey http://www.limesurvey.org" />
        <link rel="shortcut icon" href="favicon.ico" />
    </head>

    <body  class="fruity vanilla lang-en " marginwidth="0" marginheight="0" ><script type="text/javascript" src="/tmp/assets/992c7b3/js/bootstrap-switch.min.js"></script>
<script type="text/javascript" src="/tmp/assets/94ac5f7e/js/bootstrap-datetimepicker.min.js"></script>
<script type="text/javascript" src="/tmp/assets/8506fded/build/adminbasics.min.js"></script>
<script type="text/javascript" src="/tmp/assets/41d54933/js/modaleditor.js"></script>
<script type="text/javascript" src="/tmp/assets/ad174971/decimal.js"></script>
<script type="text/javascript" src="/tmp/assets/93972e09/decimalcustom.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
var LEMmode='group';
var LEMgseq='';
ExprMgr_process_relevance_and_tailoring = function(evt_type,sgqa,type){
if (typeof LEM_initialized == 'undefined') {
LEM_initialized=true;
LEMsetTabIndexes();
}
if (evt_type == 'onchange' && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa) && (typeof last_evt_type !== 'undefined' && last_evt_type == 'TAB' && type != 'checkbox')) {
  last_evt_type='onchange';
  last_sgqa=sgqa;
  return;
}
if (evt_type == 'updated'  && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa)) {
  last_evt_type='updated';
  last_sgqa=sgqa;
  return;
}
last_evt_type = evt_type;
last_sgqa=sgqa;

}

/*]]>*/
</script>

        <article id="block_error">
            <div>
                                    <h1>404: Not Found</h1>
                                <h2>Le système ne peut trouver l&#039;action « survey » demandée.</h2>
                <p>
                    The requested URL was not found on this server. 
If you entered the URL manually please check your spelling and try again.
                </p>
                <p>
                                            If you think this is a server error, please contact Administrator.
                                    </p>
            </div>
                        <div>
            </div>
        </article>
                    
            <script type="text/javascript" src="/tmp/assets/6b48a64b/build/lstutorial.min.js"></script>
<script type="text/javascript" src="/tmp/assets/44379cf2/build/embeddables.min.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
jQuery('body').popover({'selector':'a\x5Brel\x3Dpopover\x5D'});
jQuery('body').tooltip({'selector':'a\x5Brel\x3Dtooltip\x5D'});

            try{ 
                triggerEmClassChange(); 
            } catch(e) {
                console.ls.warn('triggerEmClassChange could not be run. Is survey.js correctly loaded?');
            }

triggerEmRelevance();
jQuery(document).off('pjax:scriptcomplete.mainBottom').on('ready pjax:scriptcomplete.mainBottom', function() {
updateMandatoryErrorClass();
});
/*]]>*/
</script>
</body>
</html>
404 Not Found.html (8,317 bytes)   
500 Internal Server Error.html (8,337 bytes)   


<!DOCTYPE html>
<html lang="en" dir="ltr" class="en dir-ltr  no-js " >

    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/6e8de3c2/jquery-ui.structure.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/58c80910/css/font-awesome.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9096579d/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9096579d/yiistrap.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/992c7b3/css/bootstrap-switch.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9bb6c098/css/select2.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9bb6c098/css/select2-bootstrap.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/94ac5f7e/css/bootstrap-datetimepicker.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/roboto.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/icomoon.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/6b48a64b/build/lstutorial.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/8506fded/build/adminbasics.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/75f89e/build.min/css/adminsidepanel.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/ebf3ff2d/css/lime-admin-colors.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/ebf3ff2d/css/statistics.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/noto.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5bf4d1d1/survey.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/44379cf2/build/embeddables.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/178a74d6/template-core.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/178a74d6/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/53d2a17d/css/ajaxify.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/53d2a17d/css/errors.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/animate.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/variations/sea_green.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/theme.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/custom.css" />
<script type='text/javascript'>window.debugState = {frontend : (0 === 1), backend : (0 === 1)};</script><script type="text/javascript" src="/tmp/assets/8bff78c2/jquery-3.5.1.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/8bff78c2/jquery-migrate-3.3.0.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6e8de3c2/jquery-ui.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75f89e/build.min/js/adminsidepanel.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/e13eb346/js.cookie.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9096579d/bootstrap.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9096579d/plugins/bootstrapconfirm/bootstrapconfirm.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75b90802/moment-with-locales.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9bb6c098/js/select2.full.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/232b2606/build/lslog.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f4fd9155/min/pjax.combined.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6b4577/ckeditor.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6b4577/config.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/14f4df53/ckeditoradditions.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9af049d1/em_javascript.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f4fd9155/pjax.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/5bf4d1d1/survey.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/178a74d6/template-core.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/theme.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/ajaxify.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/custom.js" class="headScriptTag"></script>
<script type="text/javascript">
/*<![CDATA[*/

           window.LS = window.LS || {}; window.LS.globalUserId = "1";
/*]]>*/
</script>
<title>
                            500: Internal Server Error
                    </title>

                <meta name="generator" content="LimeSurvey http://www.limesurvey.org" />
        <link rel="shortcut icon" href="favicon.ico" />
    </head>

    <body  class="fruity vanilla lang-en " marginwidth="0" marginheight="0" ><script type="text/javascript" src="/tmp/assets/992c7b3/js/bootstrap-switch.min.js"></script>
<script type="text/javascript" src="/tmp/assets/94ac5f7e/js/bootstrap-datetimepicker.min.js"></script>
<script type="text/javascript" src="/tmp/assets/8506fded/build/adminbasics.min.js"></script>
<script type="text/javascript" src="/tmp/assets/41d54933/js/modaleditor.js"></script>
<script type="text/javascript" src="/tmp/assets/ad174971/decimal.js"></script>
<script type="text/javascript" src="/tmp/assets/93972e09/decimalcustom.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
var LEMmode='group';
var LEMgseq='';
ExprMgr_process_relevance_and_tailoring = function(evt_type,sgqa,type){
if (typeof LEM_initialized == 'undefined') {
LEM_initialized=true;
LEMsetTabIndexes();
}
if (evt_type == 'onchange' && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa) && (typeof last_evt_type !== 'undefined' && last_evt_type == 'TAB' && type != 'checkbox')) {
  last_evt_type='onchange';
  last_sgqa=sgqa;
  return;
}
if (evt_type == 'updated'  && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa)) {
  last_evt_type='updated';
  last_sgqa=sgqa;
  return;
}
last_evt_type = evt_type;
last_sgqa=sgqa;

}

/*]]>*/
</script>

        <article id="block_error">
            <div>
                                    <h1>500: Internal Server Error</h1>
                                <h2>SurveyAdministrationController and its behaviors do not have a method or closure named &quot;_generalTabEditSurvey&quot;.</h2>
                <p>
                    An internal error occurred while the Web server was processing your request.
                </p>
                <p>
                                            Please contact Administrator to report this problem.
                                    </p>
            </div>
                        <div>
            </div>
        </article>
                    
            <script type="text/javascript" src="/tmp/assets/6b48a64b/build/lstutorial.min.js"></script>
<script type="text/javascript" src="/tmp/assets/44379cf2/build/embeddables.min.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
jQuery('body').popover({'selector':'a\x5Brel\x3Dpopover\x5D'});
jQuery('body').tooltip({'selector':'a\x5Brel\x3Dtooltip\x5D'});

            try{ 
                triggerEmClassChange(); 
            } catch(e) {
                console.ls.warn('triggerEmClassChange could not be run. Is survey.js correctly loaded?');
            }

triggerEmRelevance();
jQuery(document).off('pjax:scriptcomplete.mainBottom').on('ready pjax:scriptcomplete.mainBottom', function() {
updateMandatoryErrorClass();
});
/*]]>*/
</script>
</body>
</html>
500 Internal Server Error.html (8,337 bytes)   
500 Internal Server Error 2.html (8,332 bytes)   


<!DOCTYPE html>
<html lang="en" dir="ltr" class="en dir-ltr  no-js " >

    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/6e8de3c2/jquery-ui.structure.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/58c80910/css/font-awesome.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9096579d/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9096579d/yiistrap.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/992c7b3/css/bootstrap-switch.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9bb6c098/css/select2.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9bb6c098/css/select2-bootstrap.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/94ac5f7e/css/bootstrap-datetimepicker.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/roboto.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/icomoon.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/6b48a64b/build/lstutorial.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/8506fded/build/adminbasics.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/75f89e/build.min/css/adminsidepanel.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/ebf3ff2d/css/lime-admin-colors.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/ebf3ff2d/css/statistics.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/noto.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5bf4d1d1/survey.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/44379cf2/build/embeddables.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/178a74d6/template-core.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/178a74d6/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/53d2a17d/css/ajaxify.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/53d2a17d/css/errors.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/animate.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/variations/sea_green.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/theme.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/custom.css" />
<script type='text/javascript'>window.debugState = {frontend : (0 === 1), backend : (0 === 1)};</script><script type="text/javascript" src="/tmp/assets/8bff78c2/jquery-3.5.1.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/8bff78c2/jquery-migrate-3.3.0.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6e8de3c2/jquery-ui.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75f89e/build.min/js/adminsidepanel.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/e13eb346/js.cookie.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9096579d/bootstrap.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9096579d/plugins/bootstrapconfirm/bootstrapconfirm.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75b90802/moment-with-locales.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9bb6c098/js/select2.full.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/232b2606/build/lslog.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f4fd9155/min/pjax.combined.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6b4577/ckeditor.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6b4577/config.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/14f4df53/ckeditoradditions.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9af049d1/em_javascript.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f4fd9155/pjax.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/5bf4d1d1/survey.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/178a74d6/template-core.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/theme.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/ajaxify.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/custom.js" class="headScriptTag"></script>
<script type="text/javascript">
/*<![CDATA[*/

           window.LS = window.LS || {}; window.LS.globalUserId = "1";
/*]]>*/
</script>
<title>
                            500: Internal Server Error
                    </title>

                <meta name="generator" content="LimeSurvey http://www.limesurvey.org" />
        <link rel="shortcut icon" href="favicon.ico" />
    </head>

    <body  class="fruity vanilla lang-en " marginwidth="0" marginheight="0" ><script type="text/javascript" src="/tmp/assets/992c7b3/js/bootstrap-switch.min.js"></script>
<script type="text/javascript" src="/tmp/assets/94ac5f7e/js/bootstrap-datetimepicker.min.js"></script>
<script type="text/javascript" src="/tmp/assets/8506fded/build/adminbasics.min.js"></script>
<script type="text/javascript" src="/tmp/assets/41d54933/js/modaleditor.js"></script>
<script type="text/javascript" src="/tmp/assets/ad174971/decimal.js"></script>
<script type="text/javascript" src="/tmp/assets/93972e09/decimalcustom.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
var LEMmode='group';
var LEMgseq='';
ExprMgr_process_relevance_and_tailoring = function(evt_type,sgqa,type){
if (typeof LEM_initialized == 'undefined') {
LEM_initialized=true;
LEMsetTabIndexes();
}
if (evt_type == 'onchange' && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa) && (typeof last_evt_type !== 'undefined' && last_evt_type == 'TAB' && type != 'checkbox')) {
  last_evt_type='onchange';
  last_sgqa=sgqa;
  return;
}
if (evt_type == 'updated'  && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa)) {
  last_evt_type='updated';
  last_sgqa=sgqa;
  return;
}
last_evt_type = evt_type;
last_sgqa=sgqa;

}

/*]]>*/
</script>

        <article id="block_error">
            <div>
                                    <h1>500: Internal Server Error</h1>
                                <h2>SurveyAdministrationController and its behaviors do not have a method or closure named &quot;_getTextEditData&quot;.</h2>
                <p>
                    An internal error occurred while the Web server was processing your request.
                </p>
                <p>
                                            Please contact Administrator to report this problem.
                                    </p>
            </div>
                        <div>
            </div>
        </article>
                    
            <script type="text/javascript" src="/tmp/assets/6b48a64b/build/lstutorial.min.js"></script>
<script type="text/javascript" src="/tmp/assets/44379cf2/build/embeddables.min.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
jQuery('body').popover({'selector':'a\x5Brel\x3Dpopover\x5D'});
jQuery('body').tooltip({'selector':'a\x5Brel\x3Dtooltip\x5D'});

            try{ 
                triggerEmClassChange(); 
            } catch(e) {
                console.ls.warn('triggerEmClassChange could not be run. Is survey.js correctly loaded?');
            }

triggerEmRelevance();
jQuery(document).off('pjax:scriptcomplete.mainBottom').on('ready pjax:scriptcomplete.mainBottom', function() {
updateMandatoryErrorClass();
});
/*]]>*/
</script>
</body>
</html>
500 Internal Server Error 3.html (8,340 bytes)   


<!DOCTYPE html>
<html lang="en" dir="ltr" class="en dir-ltr  no-js " >

    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/6e8de3c2/jquery-ui.structure.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/58c80910/css/font-awesome.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9096579d/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9096579d/yiistrap.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/992c7b3/css/bootstrap-switch.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9bb6c098/css/select2.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9bb6c098/css/select2-bootstrap.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/94ac5f7e/css/bootstrap-datetimepicker.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/roboto.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/icomoon.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/6b48a64b/build/lstutorial.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/8506fded/build/adminbasics.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/75f89e/build.min/css/adminsidepanel.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/ebf3ff2d/css/lime-admin-colors.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/ebf3ff2d/css/statistics.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/noto.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5bf4d1d1/survey.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/44379cf2/build/embeddables.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/178a74d6/template-core.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/178a74d6/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/53d2a17d/css/ajaxify.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/53d2a17d/css/errors.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/animate.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/variations/sea_green.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/theme.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/custom.css" />
<script type='text/javascript'>window.debugState = {frontend : (0 === 1), backend : (0 === 1)};</script><script type="text/javascript" src="/tmp/assets/8bff78c2/jquery-3.5.1.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/8bff78c2/jquery-migrate-3.3.0.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6e8de3c2/jquery-ui.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75f89e/build.min/js/adminsidepanel.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/e13eb346/js.cookie.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9096579d/bootstrap.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9096579d/plugins/bootstrapconfirm/bootstrapconfirm.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75b90802/moment-with-locales.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9bb6c098/js/select2.full.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/232b2606/build/lslog.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f4fd9155/min/pjax.combined.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6b4577/ckeditor.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6b4577/config.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/14f4df53/ckeditoradditions.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9af049d1/em_javascript.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f4fd9155/pjax.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/5bf4d1d1/survey.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/178a74d6/template-core.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/theme.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/ajaxify.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/custom.js" class="headScriptTag"></script>
<script type="text/javascript">
/*<![CDATA[*/

           window.LS = window.LS || {}; window.LS.globalUserId = "1";
/*]]>*/
</script>
<title>
                            500: Internal Server Error
                    </title>

                <meta name="generator" content="LimeSurvey http://www.limesurvey.org" />
        <link rel="shortcut icon" href="favicon.ico" />
    </head>

    <body  class="fruity vanilla lang-en " marginwidth="0" marginheight="0" ><script type="text/javascript" src="/tmp/assets/992c7b3/js/bootstrap-switch.min.js"></script>
<script type="text/javascript" src="/tmp/assets/94ac5f7e/js/bootstrap-datetimepicker.min.js"></script>
<script type="text/javascript" src="/tmp/assets/8506fded/build/adminbasics.min.js"></script>
<script type="text/javascript" src="/tmp/assets/41d54933/js/modaleditor.js"></script>
<script type="text/javascript" src="/tmp/assets/ad174971/decimal.js"></script>
<script type="text/javascript" src="/tmp/assets/93972e09/decimalcustom.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
var LEMmode='group';
var LEMgseq='';
ExprMgr_process_relevance_and_tailoring = function(evt_type,sgqa,type){
if (typeof LEM_initialized == 'undefined') {
LEM_initialized=true;
LEMsetTabIndexes();
}
if (evt_type == 'onchange' && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa) && (typeof last_evt_type !== 'undefined' && last_evt_type == 'TAB' && type != 'checkbox')) {
  last_evt_type='onchange';
  last_sgqa=sgqa;
  return;
}
if (evt_type == 'updated'  && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa)) {
  last_evt_type='updated';
  last_sgqa=sgqa;
  return;
}
last_evt_type = evt_type;
last_sgqa=sgqa;

}

/*]]>*/
</script>

        <article id="block_error">
            <div>
                                    <h1>500: Internal Server Error</h1>
                                <h2>SurveyAdministrationController and its behaviors do not have a method or closure named &quot;_getDataSecurityEditData&quot;.</h2>
                <p>
                    An internal error occurred while the Web server was processing your request.
                </p>
                <p>
                                            Please contact Administrator to report this problem.
                                    </p>
            </div>
                        <div>
            </div>
        </article>
                    
            <script type="text/javascript" src="/tmp/assets/6b48a64b/build/lstutorial.min.js"></script>
<script type="text/javascript" src="/tmp/assets/44379cf2/build/embeddables.min.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
jQuery('body').popover({'selector':'a\x5Brel\x3Dpopover\x5D'});
jQuery('body').tooltip({'selector':'a\x5Brel\x3Dtooltip\x5D'});

            try{ 
                triggerEmClassChange(); 
            } catch(e) {
                console.ls.warn('triggerEmClassChange could not be run. Is survey.js correctly loaded?');
            }

triggerEmRelevance();
jQuery(document).off('pjax:scriptcomplete.mainBottom').on('ready pjax:scriptcomplete.mainBottom', function() {
updateMandatoryErrorClass();
});
/*]]>*/
</script>
</body>
</html>
500 Internal Server Error 4.html (8,342 bytes)   


<!DOCTYPE html>
<html lang="en" dir="ltr" class="en dir-ltr  no-js " >

    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/6e8de3c2/jquery-ui.structure.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/58c80910/css/font-awesome.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9096579d/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9096579d/yiistrap.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/992c7b3/css/bootstrap-switch.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9bb6c098/css/select2.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/9bb6c098/css/select2-bootstrap.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/94ac5f7e/css/bootstrap-datetimepicker.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/roboto.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/icomoon.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/6b48a64b/build/lstutorial.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/8506fded/build/adminbasics.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/75f89e/build.min/css/adminsidepanel.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/ebf3ff2d/css/lime-admin-colors.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/ebf3ff2d/css/statistics.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/904e0320/noto.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5bf4d1d1/survey.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/44379cf2/build/embeddables.min.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/178a74d6/template-core.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/178a74d6/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/53d2a17d/css/ajaxify.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/53d2a17d/css/errors.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/animate.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/variations/sea_green.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/theme.css" />
<link rel="stylesheet" type="text/css" href="/tmp/assets/5681e0aa/css/custom.css" />
<script type='text/javascript'>window.debugState = {frontend : (0 === 1), backend : (0 === 1)};</script><script type="text/javascript" src="/tmp/assets/8bff78c2/jquery-3.5.1.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/8bff78c2/jquery-migrate-3.3.0.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6e8de3c2/jquery-ui.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75f89e/build.min/js/adminsidepanel.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/e13eb346/js.cookie.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9096579d/bootstrap.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9096579d/plugins/bootstrapconfirm/bootstrapconfirm.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/75b90802/moment-with-locales.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9bb6c098/js/select2.full.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/232b2606/build/lslog.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f4fd9155/min/pjax.combined.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6b4577/ckeditor.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/6b4577/config.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/14f4df53/ckeditoradditions.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/9af049d1/em_javascript.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/f4fd9155/pjax.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/5bf4d1d1/survey.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/178a74d6/template-core.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/theme.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/ajaxify.js" class="headScriptTag"></script>
<script type="text/javascript" src="/tmp/assets/53d2a17d/scripts/custom.js" class="headScriptTag"></script>
<script type="text/javascript">
/*<![CDATA[*/

           window.LS = window.LS || {}; window.LS.globalUserId = "1";
/*]]>*/
</script>
<title>
                            500: Internal Server Error
                    </title>

                <meta name="generator" content="LimeSurvey http://www.limesurvey.org" />
        <link rel="shortcut icon" href="favicon.ico" />
    </head>

    <body  class="fruity vanilla lang-en " marginwidth="0" marginheight="0" ><script type="text/javascript" src="/tmp/assets/992c7b3/js/bootstrap-switch.min.js"></script>
<script type="text/javascript" src="/tmp/assets/94ac5f7e/js/bootstrap-datetimepicker.min.js"></script>
<script type="text/javascript" src="/tmp/assets/8506fded/build/adminbasics.min.js"></script>
<script type="text/javascript" src="/tmp/assets/41d54933/js/modaleditor.js"></script>
<script type="text/javascript" src="/tmp/assets/ad174971/decimal.js"></script>
<script type="text/javascript" src="/tmp/assets/93972e09/decimalcustom.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
var LEMmode='group';
var LEMgseq='';
ExprMgr_process_relevance_and_tailoring = function(evt_type,sgqa,type){
if (typeof LEM_initialized == 'undefined') {
LEM_initialized=true;
LEMsetTabIndexes();
}
if (evt_type == 'onchange' && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa) && (typeof last_evt_type !== 'undefined' && last_evt_type == 'TAB' && type != 'checkbox')) {
  last_evt_type='onchange';
  last_sgqa=sgqa;
  return;
}
if (evt_type == 'updated'  && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa)) {
  last_evt_type='updated';
  last_sgqa=sgqa;
  return;
}
last_evt_type = evt_type;
last_sgqa=sgqa;

}

/*]]>*/
</script>

        <article id="block_error">
            <div>
                                    <h1>500: Internal Server Error</h1>
                                <h2>SurveyAdministrationController and its behaviors do not have a method or closure named &quot;_tabPresentationNavigation&quot;.</h2>
                <p>
                    An internal error occurred while the Web server was processing your request.
                </p>
                <p>
                                            Please contact Administrator to report this problem.
                                    </p>
            </div>
                        <div>
            </div>
        </article>
                    
            <script type="text/javascript" src="/tmp/assets/6b48a64b/build/lstutorial.min.js"></script>
<script type="text/javascript" src="/tmp/assets/44379cf2/build/embeddables.min.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
jQuery('body').popover({'selector':'a\x5Brel\x3Dpopover\x5D'});
jQuery('body').tooltip({'selector':'a\x5Brel\x3Dtooltip\x5D'});

            try{ 
                triggerEmClassChange(); 
            } catch(e) {
                console.ls.warn('triggerEmClassChange could not be run. Is survey.js correctly loaded?');
            }

triggerEmRelevance();
jQuery(document).off('pjax:scriptcomplete.mainBottom').on('ready pjax:scriptcomplete.mainBottom', function() {
updateMandatoryErrorClass();
});
/*]]>*/
</script>
</body>
</html>
ollehar

ollehar

2021-02-25 14:45

administrator   ~62519

"SurveyAdministrationController and its behaviors do not have a method or closure named \"_tabPresentationNavigation\"."
ollehar

ollehar

2021-02-25 14:47

administrator   ~62520

This cannot be fixed. It's up to making db update work after controller refactor. The only way to fix after the fact is menu reset.
DenisChenu

DenisChenu

2021-02-25 15:10

developer   ~62522

Last edited: 2021-02-25 15:10

View 2 revisions

> This cannot be fixed. It's up to making db update work after controller refactor. The only way to fix after the fact is menu reset.

I think someone must retest if DB upgrade work fine, maybe ?

Or did you mean : we don't fix old default menu from 3.X ?
jelo

jelo

2021-02-27 11:02

partner   ~62550

Last edited: 2021-02-27 11:02

View 2 revisions

What cannot be fixed? When e,g, upgrading to 4.4.10 I have a nonworking "Resource" menu item in the Survey menu.
is that intended? The resource function is not unimportant.
As Lime-survey has no real "copy survey" function as other tools. you need such a resource function.
With real copy function, I meant that the whole survey is copied including all images etc. That is the expected behavior. You don't expect the images to stay in the source survey folder only.
But that is a different story.

If you have 500 images, what is now the indented way to export and import them? That was via Resources ZIP upload/download. First degradation was that subfolders in ZIP files were no longer recognized. Than the upload/downloaddialog was replaced by a global file-manager. After that the plan was to revert to the old way.
DenisChenu

DenisChenu

2021-02-27 11:10

developer   ~62552

@jelo : upgrading from ?

Personnaly : i think it's an upgrade issue : when upgrade, old **default core** links muts be upgraded. We can npot upgrade personal menu link or plugin mennu link : OK, but **core menu** yes.
jelo

jelo

2021-02-27 11:41

partner   ~62557

@DenisChenu: Updating from an earlier LS 4 version. But I still need a confirmation if the menu item "Resources" is removed or not. Perhaps it is a complete different issue or bug.
DenisChenu

DenisChenu

2021-02-27 11:42

developer   ~62558

No : Ressource survey exist

URL are surveyAdministration/rendersidemenulink?surveyid=187194&subaction=resources
jelo

jelo

2021-02-27 11:46

partner   ~62560

Last edited: 2021-02-27 11:50

View 2 revisions

Ok, this is what I was looking for: https://bugs.limesurvey.org/view.php?id=17125

Why is this bugticket closed? Why is the update routine not triggering the menu reset?
It seems to happen with every installation which has the menu entries. Only fresh installation of newest version won't have that issue.
DenisChenu

DenisChenu

2021-03-02 12:25

developer   ~62604

[17146: In the Survey Menu the item "Resources" crashes](https://bugs.limesurvey.org/view.php?id=17146)
ollehar

ollehar

2021-03-03 14:01

administrator   ~62636

> Why is the update routine not triggering the menu reset?

We can't reset all menus automatically because it would delete custom menu entries (if any such exists; but maybe better than to have it broken?).
DenisChenu

DenisChenu

2021-03-03 14:08

developer   ~62638

> We can't reset all menus automatically because it would delete custom menu entries (if any such exists; but maybe better than to have it broken?).

We must update core menu with the new URL, a update routine, no ?
c_schmitz

c_schmitz

2021-03-03 14:13

administrator   ~62640

@DenisChenu: The menu entries are updated using the DB update. Did you maybe use a version direclty from Git?
DenisChenu

DenisChenu

2021-03-03 14:22

developer   ~62641

@c_schmitz : here it's demo.limesurvey.org

Personally : i use GIT, but : a lot of user have same issue , not only me.
Some user on forum too have such issue.

@jelo : did you use GIT ?
@samarta : did you use GIT ?


About resources : we do it in 415, 427 and 429, right ?

https://github.com/LimeSurvey/LimeSurvey/blob/720b5e5751dcd35f1abcc496addf7e12b6525d19/application/helpers/update/updatedb_helper.php#L3023
https://github.com/LimeSurvey/LimeSurvey/blob/720b5e5751dcd35f1abcc496addf7e12b6525d19/application/helpers/update/updatedb_helper.php#L3298
https://github.com/LimeSurvey/LimeSurvey/blob/720b5e5751dcd35f1abcc496addf7e12b6525d19/application/helpers/update/updatedb_helper.php#L3348
c_schmitz

c_schmitz

2021-03-03 14:30

administrator   ~62645

Yes. Question is which entries are not properly updated. Last time I checked the DB update I only found one minor issue, but I was only updating from 3.x to 4.x.
I suspect this is mainly a 4.x to 4.x issue.
DenisChenu

DenisChenu

2021-03-03 14:31

developer   ~62646

Now : when i have menu issue : i don't care, just reset (because : i use GIT), but seems strange for jelo and samarta.
jelo

jelo

2021-03-03 14:41

partner   ~62647

@DenisChenu: I care for the enduser. A menu reset should be triggered by the update routine (e.g. when you login in after udpate).
If LS 4 would be on the SaaS platform, how would the menu reset be solved? Asking users?
DenisChenu

DenisChenu

2021-03-03 14:54

developer   ~62656

@jelo : yes : in DB update 429 : the menu must be OK

The questions are more : did this update happen to you (then : do you use only zip update or ComfortUpate) or di the link created at 429 is OK for all url params ?
jelo

jelo

2021-03-03 15:23

partner   ~62666

@DenisChenu: The LS4 test installation is updated via ComfortUpdate only. No git, no zip. Just to simulate enduser experience.
c_schmitz

c_schmitz

2021-03-03 17:56

administrator   ~62698

Ok, so I just tested this again from 4.x to latest 4.x and only found one small difference for the theme menu option item, which will be fixed in next update.
Otherwise this seems to correctly update. I also checked the history of updatedb_helper.php manually and could not find any issue.
c_schmitz

c_schmitz

2021-03-03 18:15

administrator   ~62699

I suspect this might have been caused by a dbversion crossover with 4.4 RC version, but not sure at this point.
DenisChenu

DenisChenu

2021-03-03 18:30

developer   ~62701

demo is fixed.

ComfortUpdate allow ReleaseCandidate ?

Issue History

Date Modified Username Field Change
2021-02-24 19:34 DenisChenu New Issue
2021-02-24 19:34 DenisChenu File Added: 404 Not Found.html
2021-02-24 19:34 DenisChenu File Added: 500 Internal Server Error.html
2021-02-24 19:34 DenisChenu File Added: 500 Internal Server Error 2.html
2021-02-24 19:34 DenisChenu File Added: 500 Internal Server Error 3.html
2021-02-24 19:34 DenisChenu File Added: 500 Internal Server Error 4.html
2021-02-24 19:34 DenisChenu Relationship added related to 17125
2021-02-25 14:45 ollehar Note Added: 62519
2021-02-25 14:47 ollehar Note Added: 62520
2021-02-25 15:10 DenisChenu Note Added: 62522
2021-02-25 15:10 DenisChenu Note Edited: 62522 View Revisions
2021-02-27 11:02 jelo Note Added: 62550
2021-02-27 11:02 jelo Note Edited: 62550 View Revisions
2021-02-27 11:10 DenisChenu Note Added: 62552
2021-02-27 11:41 jelo Note Added: 62557
2021-02-27 11:42 DenisChenu Note Added: 62558
2021-02-27 11:46 jelo Note Added: 62560
2021-02-27 11:50 jelo Note Edited: 62560 View Revisions
2021-03-02 12:25 DenisChenu Note Added: 62604
2021-03-02 12:25 DenisChenu Relationship added related to 17146
2021-03-03 14:01 ollehar Note Added: 62636
2021-03-03 14:08 DenisChenu Note Added: 62638
2021-03-03 14:13 c_schmitz Note Added: 62640
2021-03-03 14:22 DenisChenu Note Added: 62641
2021-03-03 14:30 c_schmitz Note Added: 62645
2021-03-03 14:31 DenisChenu Note Added: 62646
2021-03-03 14:41 jelo Note Added: 62647
2021-03-03 14:54 DenisChenu Note Added: 62656
2021-03-03 15:23 jelo Note Added: 62666
2021-03-03 17:56 c_schmitz Note Added: 62698
2021-03-03 18:15 c_schmitz Assigned To => c_schmitz
2021-03-03 18:15 c_schmitz Status new => resolved
2021-03-03 18:15 c_schmitz Resolution open => unable to reproduce
2021-03-03 18:15 c_schmitz Note Added: 62699
2021-03-03 18:30 DenisChenu Note Added: 62701
2021-03-08 19:31 c_schmitz Fixed in Version => 4.4.12
2021-03-08 19:38 c_schmitz Status resolved => closed